feldspar-compiler-0.6.0.2: Compiler for the Feldspar language

Safe Haskell | None

Feldspar.Compiler.Imperative.FromCore.Primitive

Synopsis

- compilePrim :: (Semantic expr, Compile dom dom) => (expr :|| Type) a -> Info (DenResult a) -> Args (AST (Decor Info dom)) a -> CodeWriter Expr

# Documentation

compilePrim :: (Semantic expr, Compile dom dom) => (expr :|| Type) a -> Info (DenResult a) -> Args (AST (Decor Info dom)) a -> CodeWriter Expr

Convenient implementation of `compileExprSym` for primitive functions